LongEntry (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.lang.classfile.constantpool, interface: LongEntry
Keywords: java.lang.classfile.constantpool.LongEntry interface

# Interface LongEntry

All Superinterfaces:
  `AnnotationConstantValueEntry, ConstantValueEntry, LoadableConstantEntry, PoolEntry`

public sealed interface LongEntry extends AnnotationConstantValueEntry, ConstantValueEntry
Models a `CONSTANT_Long_info` structure, or a `long` constant, in the constant pool of a `class` file.

The use of a `LongEntry` is modeled by a `long`. Conversions are through `ConstantPoolBuilder.longEntry(long)` and `longValue()`.

A long entry has a width of `2`, making its subsequent constant pool index valid and unusable.

See Java Virtual Machine Specification:
  4.4.5 The `CONSTANT_Long_info` and `CONSTANT_Double_info` Structures
Since:
  24
See Also:
  - `ConstantPoolBuilder::longEntry`

- ## Field Summary

  ### Fields declared in interface PoolEntry

  `TAG_CLASS, TAG_DOUBLE, TAG_DYNAMIC, TAG_FIELDREF, TAG_FLOAT, TAG_INTEGER, TAG_INTERFACE_METHODREF, TAG_INVOKE_DYNAMIC, TAG_LONG, TAG_METHOD_HANDLE, TAG_METHOD_TYPE, TAG_METHODREF, TAG_MODULE, TAG_NAME_AND_TYPE, TAG_PACKAGE, TAG_STRING, TAG_UTF8`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `longValue()`
  Returns the `long` value.
  `default TypeKind`
  `typeKind()`
  Returns the type of the constant.

  ### Methods declared in interface AnnotationConstantValueEntry

  `constantValue`

  ### Methods declared in interface ConstantValueEntry

  `constantValue`

  ### Methods declared in interface PoolEntry

  `constantPool, index, tag, width`

- ## Method Details

  - ### longValue

    long longValue()
    Returns the `long` value.
    Returns:
      the `long` value
    See Also:
      - `ConstantPoolBuilder::longEntry(long)`

  - ### typeKind

    default TypeKind typeKind()
    Returns the type of the constant.
    Specified by:
      `typeKind` in interface `LoadableConstantEntry`
    Returns:
      the type of the constant